<?php
$bosa_medical_care_page_one 	= get_theme_mod( 'bosa_medical_care_comments_page_one', '' );
$bosa_medical_care_page_two 	= get_theme_mod( 'bosa_medical_care_comments_page_two', '' );
$bosa_medical_care_page_three = get_theme_mod( 'bosa_medical_care_comments_page_three', '' );

$bosa_medical_care_page_array = array();
$bosa_medical_care_has_page = false;
if( !empty( $bosa_medical_care_page_one ) ){
	$bosa_medical_care_has_page = true;
	$bosa_medical_care_page_array['page_one'] = array(
		'ID' => $bosa_medical_care_page_one,
	);
}
if( !empty( $bosa_medical_care_page_two ) ){
	$bosa_medical_care_has_page = true;
	$bosa_medical_care_page_array['page_two'] = array(
		'ID' => $bosa_medical_care_page_two,
	);
}
if( !empty( $bosa_medical_care_page_three ) ){
	$bosa_medical_care_has_page = true;
	$bosa_medical_care_page_array['page_three'] = array(
		'ID' => $bosa_medical_care_page_three,
	);
}

if( !get_theme_mod( 'bosa_medical_care_disable_comments_section', true ) && $bosa_medical_care_has_page ){ ?>
	<section class="section-comments-area ">
			<div class="row justify-content-center">
				<?php foreach( $bosa_medical_care_page_array as $bosa_medical_care_each_page ){ ?>
					<div class="col-sm-6 col-lg-4">
						<article class="comments-item">
							<figure class= "featured-image">
								<?php echo get_the_post_thumbnail( $bosa_medical_care_each_page[ 'ID' ], 'bosa-medical-care-420-300' ); ?>
							</figure>
							<div class="author-content">
								<h5 class="comments-content">	
									<?php 
									$bosa_medical_care_excerpt = get_the_excerpt( $bosa_medical_care_each_page[ 'ID' ] );
									$bosa_medical_care_result  = wp_trim_words( $bosa_medical_care_excerpt, 20, '' );
									echo esc_html( $bosa_medical_care_result );
									?>
								</h5>
								<h3 class="entry-title">
									<a href="<?php echo esc_url( get_permalink( $bosa_medical_care_each_page[ 'ID' ] ) ); ?>">
										<?php echo esc_html( get_the_title( $bosa_medical_care_each_page[ 'ID' ] ) ); ?>
									</a>
								</h3>	
							</div>
						</article>
					</div>
				<?php } ?>
			</div>
	</section>
<?php } 